Skip to main content
`Ctrl`+`K`

# SNESMonitorSAWs

monitor solution process of `SNES` using SAWs

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESMonitorSAWs(SNES snes, PetscInt n, PetscReal rnorm, PetscCtx ctx)

Collective

## Input Parameters

- snes - iterative context

- n - iteration number

- rnorm - 2-norm (preconditioned) residual value (may be estimated).

- ctx - `PetscViewer` of type `PETSCVIEWERSAWS`

## See Also

SNES: Nonlinear Solvers, `PetscViewerSAWsOpen()`, `SNESMonitorSAWsDestroy()`, `SNESMonitorSAWsCreate()`

## Level

advanced

## Location

src/snes/interface/saws/snessaws.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages